{foreach item=hid from=$tpl_hidden_inputs}
	<input type="hidden" name="{$hid.name}" value="{$hid.value}" />
{/foreach}
<input type="hidden" name="id" value="{$tpl_id}" />

<table width="100%"cellspacing="0"><tr><td class="subpart_header">
{$tpl_titel}
</td>
<td align="left" style="padding-left: 5px;">
	{if $help.show}{$help.link}{/if}
</td>
<td align="right">
&nbsp;
</td></tr>

<tr><td class="subpart" colspan="2">

<table border="0" width="100%" cellspacing="0" cellpadding="0">

<!-- Formular-Daten -->
{foreach key=id name=groups item=group from=$tpl_groups}
	{if $group.titel != ""}
		{if $group.forAll}
			<tr><td colspan="2" class="forAllHeader">
			<span class="form_grouptitel" onclick="forAllHeader('frmgrp_{$id}', 'koi[{$group.table}][doForAll]');">
				<input type="checkbox" name="koi[{$group.table}][doForAll]" id="koi[{$group.table}][doForAll]" />
				&rarr;&nbsp;{$group.titel}
			</span>
		{else}
			<tr><td {$group.colspan}>
			<span class="form_grouptitel" onclick="change_vis('frmgrp_{$id}');">&rarr;&nbsp;{$group.titel}</span>
		{/if}

		{if $group.state == "closed"}
			<div id="frmgrp_{$id}" style="visibility:hidden;display:none;">
		{else}
			<div id="frmgrp_{$id}" style="visibility:visible;display:block;">
		{/if}
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
	{/if}
	{foreach name=rows item=row from=$group.row}

		<tr>
		{foreach name=inputs item=input from=$row.inputs}
			<td class="{if $input.headerclass}{$input.headerclass}{else}formular_header{/if}" {$input.colspan}>
			{if $input.descimg}<img src="{$ko_path}images/{$input.descimg}" border="0" />{/if}
			{$input.desc}
			</td>
		{/foreach}
		</tr>

		<tr>
		{foreach name=inputs item=input from=$row.inputs}

			{if $input.type == "text"}
				<td class="formular_content" {$input.colspan}>
				<input type="text" name="{$input.name}" value="{$input.value}" {$input.params} />
				</td>

			{elseif $input.type == "password"}
				<td class="formular_content" {$input.colspan}>
				<input type="password" name="{$input.name}" value="{$input.value}" {$input.params} />
				</td>

			{elseif $input.type == "text_mylist"}
				<td class="formular_content" {$input.colspan}>
				<input type="text" name="{$input.name}" value="{$input.value}" {$input.params} />
				&nbsp;
				<img src="{$ko_path}images/icon_import_my_list.png" alt="import_my_list" title="{$label_text_mylist_import}" border="0" onclick="javascript:document.getElementsByName('{$input.name}')[0].value += ',{$input.mylist}';" />
				</td>

			{elseif $input.type == "textarea"}
				<td class="formular_content" {$input.colspan}>
				<textarea name="{$input.name}" {$input.params}>{$input.value}</textarea>
				</td>

			{elseif $input.type == "file"}
				<td class="formular_content" {$input.colspan}>
				<input type="file" name="{$input.name}" {$input.params} />
				{if $input.special_value}<br />{$input.special_value}{/if}
				{if $input.value != '' && $input.value != ' '}<br /><a href="{$input.value}" target="_blank">{$input.value}</a>{/if}
				{if $input.value2}<br /><input type="checkbox" name="{$input.name2}" value="1" />{$input.value2}{/if}
				</td>

			{elseif $input.type == "color"}
				<td class="formular_content" {$input.colspan}>
				<input type="text" name="{$input.name}" id="colorpicker" value="{$input.value}" {$input.params} style="float: left; background:#{$input.value};color:{$input.value|contrast};" />
				<span onclick="cp_show(document.getElementsByName('{$input.name}')[0]);" style="cursor:pointer;" name="pick" id="pick">
				&nbsp;
				<img src="{$ko_path}images/icon_colorpicker.png" alt="{$label_color_choose}" title="{$label_color_choose}" border="0" />
				</span>
				</td>

			{elseif $input.type == "label"}
				<td class="formular_content" {$input.colspan}>
				{$input.value}
				</td>

			{elseif $input.type == "checkbox"}
				<td class="formular_content" {$input.colspan}>
				<input type="checkbox" name="{$input.name}" value="{$input.value}" {$input.params} />{$input.desc2}
				</td>

			{elseif $input.type == "radio"}
				<td class="formular_content" {$input.colspan}>
				{html_radios name=$input.name values=$input.values output=$input.descs selected=$input.value separator=$input.separator}
				</td>

			{elseif $input.type == "select"}
				<td class="formular_content" {$input.colspan}>
				<table border="0" cellspacing="0" cellpadding="0"><tr><td>
				<select name="{$input.name}" {$input.params} {if $input.js_func_add}onclick="{$input.js_func_add}(this.options[parseInt(this.selectedIndex)].text, this.options[parseInt(this.selectedIndex)].value, this.name);"{/if}>
				{html_options values=$input.values output=$input.descs selected=$input.value}
				</select>
				</td>
				{if $input.buttons}
					<td valign="top" width="16" style="padding-left:3px;">{$input.buttons}</td>
				{/if}
				</tr></table>
				</td>

			{elseif $input.type == "multidateselect"}
				<td class="formular_content" {$input.colspan}>
				<table><tr><td valign="top">
				<input type="hidden" name="{$input.name}" value="{$input.avalue}" />
				<input type="hidden" name="old_{$input.name}" value="{$input.avalue}" />
				<div style="font-size:x-small;">{$label_form_ds_objects}:</div>
				{$input.dateselect}
				</td><td valign="top">
				<div style="font-size:x-small;">&nbsp;</div>
				<img src="{$ko_path}images/ds_del.gif" alt="del" title="{$label_doubleselect_remove}" border="0" onclick="double_select_move('{$input.name}', 'del');"/>
				</td><td>
				<div style="font-size:x-small;">{$label_form_ds_assigned}:</div>
				<select name="sel_ds2_{$input.name}" {$input.params}>
				{html_options values=$input.avalues output=$input.adescs}
				</select>
				</td></tr></table>
				</td>

			{elseif $input.type == "doubleselect"}
				<td class="formular_content" {$input.colspan}>
				<table><tr><td>
				<input type="hidden" name="{$input.name}" value="{$input.avalue}" />
				<input type="hidden" name="old_{$input.name}" value="{$input.avalue}" />
				<div style="font-size:x-small;">{$label_form_ds_objects}:</div>
				<select id="doubleselect" name="sel_ds1_{$input.name}" {$input.params} onclick="{$input.js_func_add}(this.options[parseInt(this.selectedIndex)].text, this.options[parseInt(this.selectedIndex)].value, 'sel_ds2_{$input.name}', '{$input.name}');" onkeydown="if(event.keyCode == 13 || event.which == 13) {literal}{{/literal}{$input.js_func_add}(this.options[parseInt(this.selectedIndex)].text, this.options[parseInt(this.selectedIndex)].value, 'sel_ds2_{$input.name}', '{$input.name}');{literal}}{/literal}">
				{html_options values=$input.values output=$input.descs}
				</select>
				</td><td valign="top">
				<div style="font-size:x-small;">&nbsp;</div>
				{if $input.show_moves}
					<img src="{$ko_path}images/ds_top.gif" border="0" alt="top" title="{$label_form_ds_top}" onclick="double_select_move('{$input.name}', 'top');" /><br />
					<img src="{$ko_path}images/ds_up.gif" border="0" alt="up" title="{$label_form_ds_up}" onclick="double_select_move('{$input.name}', 'up');" /><br />
					<img src="{$ko_path}images/ds_down.gif" border="0" alt="down" title="{$label_form_ds_down}" onclick="double_select_move('{$input.name}', 'down');" /><br />
					<img src="{$ko_path}images/ds_bottom.gif" border="0" alt="bottom" title="{$label_form_ds_bottom}" onclick="double_select_move('{$input.name}', 'bottom');" /><br />
					<img src="{$ko_path}images/ds_del.gif" border="0" alt="del" title="{$label_form_ds_del}" onclick="double_select_move('{$input.name}', 'del');" />
				{else}
					<img src="{$ko_path}images/ds_del.gif" alt="del" title="{$label_doubleselect_remove}" border="0" onclick="double_select_move('{$input.name}', 'del');"/>
				{/if}
				</td><td>
				<div style="font-size:x-small;">{$label_form_ds_assigned}:</div>
				<select name="sel_ds2_{$input.name}" {$input.params}>
				{html_options values=$input.avalues output=$input.adescs}
				</select>
				</td></tr></table>
				</td>

			{elseif $input.type == "dyndoubleselect"}
				<td class="formular_content">
				<table><tr><td>
				<input type="hidden" name="{$input.name}" value="{$input.avalue}" />
				<input type="hidden" name="old_{$input.name}" value="{$input.avalue}" />
				<select name="sel_ds1_{$input.name}" {$input.params} size="10" onclick="{if !$input.nochecklist}if(!checkList(1)) return false;{/if}double_select_add(this.options[parseInt(this.selectedIndex)].text, this.options[parseInt(this.selectedIndex)].value, 'sel_ds2_{$input.name}', '{$input.name}');">
				</select>
				</td><td valign="top">
				<img src="{$ko_path}images/button_delete.gif" alt="del" title="{$label_doubleselect_remove}" border="0" onclick="double_select_move('{$input.name}', 'del');"/>
				</td><td>
				<select name="sel_ds2_{$input.name}" {$input.params} size="10">
				{html_options values=$input.avalues output=$input.adescs}
				</select>
				</td></tr></table>
				</td>


			{elseif $input.type == "html"}
				<td class="formular_content" {$input.colspan}>
				{$input.value}
				</td>

			{elseif $input.type == "   "}
				<td {$input.colspan}><br /></td>

			{/if}
		{/foreach}
		</tr>

	{/foreach}
	{if $group.titel != ""}
		</table>
		</td></tr>
		</div>
	{/if}

{/foreach}
</table>

<p align="center">
{if $tpl_special_submit}
	{$tpl_special_submit}
{else}
	<input type="submit" name="submit" value="{$tpl_submit_value}" onclick="{$tpl_onclick_action}set_action('{$tpl_action}')" />
{/if}
{if !$tpl_hide_cancel}
	&nbsp;&nbsp;&nbsp;
	<input type="submit" name="cancel" value="{$label_cancel}" onclick="set_action('{$tpl_cancel}');" />
{/if}
{if $tpl_submit_as_new}
	<br /><br />
	<input type="submit" name="submit_as_new" value="{$tpl_submit_as_new}" onclick="set_action('{$tpl_action_as_new}');" />
{/if}
</p>

{if $tpl_legend}
	<div style="margin-top: 10px; color: #666;">
		<img src="{$ko_path}images/{$tpl_legend_icon}" alt="legend" border="0" align="left" />&nbsp;
		{$tpl_legend}
	</div>
{/if}

</td></tr>

</table>
